Subject: bug#14180: PATCH Better fullscreen frame support on Windows

From: Erik Charlebois <[email-masked]>
Date: Fri, 12 Apr 2013 15:32:08 -0400

That's correct. The modeline scrollbar is slightly clipped.

I just doubled checked toggling scrollbars, menubar and toolbar on and off
while in fullscreen and it all works as expected.

Thanks for the reminder since I usually run with all those elements off :).

On Fri, Apr 12, 2013 at 5:28 AM, martin rudalics <[email-masked]> wrote:

> > I've modified the response to WM_WINDOWPOSCHANGED to do nothing when the
> > frame is fullscreen. Otherwise, the size gets tuned to a multiple of the
> > character cells and
> > the fullscreen isn't perfectly matching the screen. When this happens,
> > Windows' special
> > behavior to hide the taskbar doesn't kick in.
>
> I suppose that any remaining pixels go to the mode line which will have
> a slightly shorter scrollbar if the pixel height of your monitor is not
> a multiple of FRAME_LINE_HEIGHT.  Can you observe that?
>
> martin
>